Page 2 of 2 FirstFirst 12
Results 51 to 66 of 66

Thread: Bully modified to implement pixiewps attack

  1. #51
    thanks bro

  2. #52
    Join Date
    2013-Sep
    Posts
    262
    Quote Originally Posted by v1aitor
    but your update is an evolution of it. how can this be done? I mean, to include your version in Kali Linux repos?
    Hi there!
    As far as I know everything works through the kali bugtracker: https://bugs.kali.org/main_page.php
    You have to create an account and than you can open an issue to ask for the implementation of bully mod' by aanarchyy
    good luck!

  3. #53
    Join Date
    2014-Nov
    Posts
    14
    Anybody have any idea what's wrong here?


    @kali:~/bully/src# make
    cc -I`pwd` -I`pwd`/utils/ -I`pwd`/tls/ -I`pwd`/wps/ -I`pwd`/crypto/ -I`pwd`/common/ -o bully bully.c -lpcap -lssl -lcrypto
    bully.c:26:18: fatal error: pcap.h: No such file or directory
    compilation terminated.

  4. #54
    Join Date
    2016-Nov
    Location
    Outer space
    Posts
    36
    apt-get install libpcap-dev

  5. #55
    Join Date
    2014-Nov
    Posts
    14
    Quote Originally Posted by v1s1t0r View Post
    apt-get install libpcap-dev
    Thanks but I'm now getting this error.

    WARNING: The following packages cannot be authenticated!
    libpcap0.8-dev libpcap-dev
    Install these packages without verification? [y/N] Y
    Err http://http.kali.org/kali/ sana/main libpcap0.8-dev i386 1.6.2-2
    404 Not Found
    Err http://http.kali.org/kali/ sana/main libpcap-dev all 1.6.2-2
    404 Not Found
    E: Failed to fetch http://http.kali.org/kali/pool/main/...6.2-2_i386.deb 404 Not Found

    E: Failed to fetch http://http.kali.org/kali/pool/main/....6.2-2_all.deb 404 Not Found

    E: Unable to fetch some archives, maybe run apt-get update or try with --fix-missing?

  6. #56
    Join Date
    2013-Jul
    Location
    United States
    Posts
    519
    It looks like you may have a problem with your sources.list, try this:

    Code:
    gedit /etc/apt/sources.list
    Replace everything with the sources for your distribution: http://docs.kali.org/general-use/kal...t-repositories

    Save and exit, then:

    Code:
    apt-get update
    apt-get upgrade
    apt-get install libpcap-dev libssl-dev libsqlite3-dev

  7. #57
    Join Date
    2014-Nov
    Posts
    14
    Thanks sox, I've managed to get a bit further but it now has this.

    Some packages could not be installed. This may mean that you have
    requested an impossible situation or if you are using the unstable
    distribution that some required packages have not yet been created
    or been moved out of Incoming.
    The following information may help to resolve the situation:

    The following packages have unmet dependencies:
    libssl-dev : Depends: libssl1.0.0 (= 1.0.1k-3) but 1.0.1k-3+deb8u1 is to be installed
    Recommends: libssl-doc but it is not going to be installed
    E: Unable to correct problems, you have held broken packages.

  8. #58
    Join Date
    2013-Jul
    Location
    United States
    Posts
    519
    Quote Originally Posted by Pippin View Post
    Thanks sox, I've managed to get a bit further but it now has this.

    Some packages could not be installed. This may mean that you have
    requested an impossible situation or if you are using the unstable
    distribution that some required packages have not yet been created
    or been moved out of Incoming.
    The following information may help to resolve the situation:

    The following packages have unmet dependencies:
    libssl-dev : Depends: libssl1.0.0 (= 1.0.1k-3) but 1.0.1k-3+deb8u1 is to be installed
    Recommends: libssl-doc but it is not going to be installed
    E: Unable to correct problems, you have held broken packages.
    I hate when this happens. Try
    Code:
    apt-get remove libssl1.0.0
    apt-get install libssl-dev

  9. #59
    Join Date
    2016-Nov
    Location
    Outer space
    Posts
    36

    Cool

    Quote Originally Posted by kcdtv View Post
    As far as I know everything works through the kali bugtracker: https://bugs.kali.org/main_page.php
    You have to create an account and than you can open an issue to ask for the implementation of bully mod' by aanarchyy
    good luck!
    Kcdtv, I followed your advice and opened the suggestion: https://bugs.kali.org/view.php?id=3745 . Maybe somebody may pay attention to this. I think is very interesting for bully users... as you know, ralink chipset + reaver = disaster , and I have an Alfa with Ralink chipset. Bully saved my life for all testing of WPS part of the script I'm developing, you know that because you are a collaborator... I don't want to put a link to my project to avoid spamming you on this forum.

  10. #60
    Join Date
    2014-Nov
    Posts
    14
    Quote Originally Posted by soxrok2212 View Post
    I hate when this happens. Try
    Code:
    apt-get remove libssl1.0.0
    apt-get install libssl-dev
    That cured it.

    Thanks sox.

  11. #61
    Join Date
    2016-Dec
    Posts
    3
    Hi all,

    I just installed bully on my system and I was curious if I was able to crack my own wifi router. My question: is it normal that the pin set from bully never change to random but always the same? What is causing this?

    Code:
    [+] Rx(Beacon) = 'Timeout'   Next pin '11533917'
    [+] Rx(Beacon) = 'Timeout'   Next pin '11533917'
    [+] Rx( Auth ) = 'Timeout'   Next pin '11533917'
    [+] Rx(Beacon) = 'Timeout'   Next pin '11533917'
    [+] Sent packet not acknowledged after 3 attempts
    [+] Tx( Assn ) = 'Timeout'   Next pin '11533917'
    [+] Rx(Beacon) = 'Timeout'   Next pin '11533917'
    [+] Rx(Beacon) = 'Timeout'   Next pin '11533917'
    [+] Rx(Beacon) = 'Timeout'   Next pin '11533917'
    [+] Rx(  ID  ) = 'Timeout'   Next pin '11533917'
    [+] Sent packet not acknowledged after 3 attempts
    [+] Tx(DeAuth) = 'Timeout'   Next pin '11533917'
    [+] Rx(Beacon) = 'Timeout'   Next pin '11533917'
    [!] Received M2D or out of sequence WPS Message
    [+] Rx(M2D/M3) = 'WPSFail'   Next pin '11533917'
    [+] Rx(  M1  ) = 'Timeout'   Next pin '11533917'
    [+] Rx(  M1  ) = 'Timeout'   Next pin '11533917'
    [+] Rx(  M1  ) = 'Timeout'   Next pin '11533917'
    [+] Rx(  M1  ) = 'Timeout'   Next pin '11533917'
    [+] Rx(  M1  ) = 'Timeout'   Next pin '11533917'
    [+] Rx(  M1  ) = 'Timeout'   Next pin '11533917'
    [+] Rx(  M1  ) = 'Timeout'   Next pin '11533917'
    [+] Rx(  M1  ) = 'Timeout'   Next pin '11533917'
    [+] Rx(  M1  ) = 'Timeout'   Next pin '11533917'
    [+] Rx(  M1  ) = 'Timeout'   Next pin '11533917'
    [+] Rx(  M1  ) = 'Timeout'   Next pin '11533917'
    [+] Rx(  M1  ) = 'Timeout'   Next pin '11533917'
    [+] Rx( Assn ) = 'Timeout'   Next pin '11533917'
    [+] Rx(Beacon) = 'Timeout'   Next pin '11533917'
    [+] Rx(  M1  ) = 'Timeout'   Next pin '11533917'
    [+] Rx( Auth ) = 'Timeout'   Next pin '11533917'
    [+] Rx(  M1  ) = 'Timeout'   Next pin '11533917'
    [+] Rx(  M1  ) = 'Timeout'   Next pin '11533917'
    [+] Rx(  ID  ) = 'Timeout'   Next pin '11533917'
    [+] Rx(Beacon) = 'Timeout'   Next pin '11533917'
    [+] Rx(  M1  ) = 'WPSFail'   Next pin '11533917'
    [+] Rx(  M1  ) = 'Timeout'   Next pin '11533917'
    [+] Rx(  M1  ) = 'Timeout'   Next pin '11533917'
    [+] Rx(  M1  ) = 'Timeout'   Next pin '11533917'
    [+] Rx(  M1  ) = 'Timeout'   Next pin '11533917'
    [+] Rx(  M1  ) = 'Timeout'   Next pin '11533917'
    [+] Rx(  M1  ) = 'Timeout'   Next pin '11533917'
    [+] Rx(  M1  ) = 'Timeout'   Next pin '11533917'
    [+] Rx( Assn ) = 'Timeout'   Next pin '11533917'

  12. #62
    Join Date
    2016-Nov
    Location
    Outer space
    Posts
    36
    It stuck if is not able to perform the attempt. Maybe your home's router has PBC activated (push button connect) and needs to push the button physically in order to accept wps connections. You can check it using airodump-ng with --wps parameter (available from aircrack 1.2 rc2 I think, not sure). Start scanning and let it long time. After a few minutes, on WPS column start to appear interesting data like this (PBC) on some routers.
    Last edited by v1s1t0r; 2016-12-06 at 12:16. Reason: more detailed data

  13. #63
    Join Date
    2013-Jul
    Location
    United States
    Posts
    519
    Or your connection is ****py, unsupported wireless card, WPS is enabled but not configure, AP is low on entropy, there are literally 1,000 reasons as to why there may be a problem.

    It helps if you give more information about the target. Since it is yours, you should be able to do that.

  14. #64
    Join Date
    2016-Nov
    Location
    sook
    Posts
    1
    hello annarchyy ? i got some problem at bully install pixiewps. (make: *** [bully] Error 1)

  15. #65
    Join Date
    2016-Nov
    Location
    Outer space
    Posts
    36
    Sorry for answer maybe too late. To build correctly bully with latest Kali releases you must "downgrade" libssl-dev package. I mean, if you do
    apt-get remove libssl-dev
    and then
    apt-get install libssl1.0-dev
    . After this you can compile successfully bully following the github instructions, you know:

    git clone https://github.com/aanarchyy/bully
    cd bully*/
    cd src/
    make
    make install
    Hope it helps.

  16. #66
    Join Date
    2016-Nov
    Location
    Outer space
    Posts
    36
    Fresh news. Yesterday wiire (the author of pixiewps) updated the aanarchyy bully project. The version is still the 1.1 and it hasn't any new feature but he solved the problems on compilation. He removed the dependency of libssl-dev. Now the compilation is very fast and flawless.

    https://github.com/aanarchyy/bully

Similar Threads

  1. Pixiewps: wps pixie dust attack tool
    By wiire in forum Community Projects
    Replies: 243
    Last Post: 2017-11-09, 19:31
  2. Wifite including new pixiewps attack
    By aanarchyy in forum Project Archive
    Replies: 122
    Last Post: 2016-12-19, 22:41
  3. Wifite including new pixiewps attack
    By aanarchyy in forum General Archive
    Replies: 75
    Last Post: 2015-05-04, 23:16
  4. Pixiewps: wps pixie dust attack tool
    By wiire in forum General Archive
    Replies: 89
    Last Post: 2015-05-04, 19:32
  5. Implement new WPS Pixie Dust Attack into Reaver
    By six in forum General Archive
    Replies: 24
    Last Post: 2015-01-28, 20:31

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •